# $Revision: 1.24 $, $Date: 2010/01/26 18:03:54 $
Summary:	Software for programming Atmel AVR Microcontrollers
Summary(pl.UTF-8):	Oprogramowanie do programowania mikrokontrolerów Atmel AVR
Name:		avrdude
Version:	5.10
Release:	1
License:	GPL v2
Group:		Development/Tools
Source0:	http://savannah.nongnu.org/download/avrdude/%{name}-%{version}.tar.gz
# Source0-md5:	69b082683047e054348088fd63bad2ff
Patch0:		%{name}-info.patch
Patch1:		%{name}-doc.patch
Patch2:		%{name}-configure.patch
URL:		http://savannah.nongnu.org/projects/avrdude/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libusb-compat-devel
BuildRequires:	readline-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AVRDUDE is software for programming Atmel AVR Microcontrollers.

%description -l pl.UTF-8
AVRDUDE to oprogramowanie do programowania mikrokontrolerów Atmel AVR.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ac_cv_lib_termcap_tputs=no \
	--enable-doc
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog* NEWS README
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%{_mandir}/man?/*
%{_infodir}/avrdude.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: avrdude.spec,v $
Revision 1.24  2010/01/26 18:03:54  megabajt
- updated to 5.10

Revision 1.23  2010/01/16 15:46:48  amateja
- updated to 5.9
- adapterized
- updated by Pawel Żuk <redstorm1 () gmail.com>

Revision 1.22  2009/05/15 21:02:52  hawk
- updated to 5.6, make -j1 is required

Revision 1.21  2009/02/23 22:03:53  arekm
- release 4

Revision 1.20  2009/02/04 12:52:41  hawk
- BR libusb-compat to make it work with libusb 1.0.0

Revision 1.19  2008/10/07 21:36:51  shadzik
- rel 2

Revision 1.18  2008/02/09 23:36:11  cactus
- up to 5.5
- updated configure.ac patch

Revision 1.17  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.16  2008-01-05 19:03:39  qboosh
- sorted BRs

Revision 1.15  2007-10-02 21:58:39  cactus
- BR: bison
- BR: flex

Revision 1.14  2007/04/07 17:09:24  bszx
- updated to 5.3.1

Revision 1.13  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.11  2005/10/22 22:35:43  qboosh
- added doc patch and --enable-doc option, restored info
- BR: libusb-devel,readline-devel and ac,am,texinfo
- avoid libtermcap usage

Revision 1.10  2005/10/22 18:53:41  yogib
- md5 fix

Revision 1.9  2005/10/22 18:45:56  yogib
- updated to 5.0, removed obsoleted BRs

Revision 1.8  2005/10/21 13:28:00  darekr
- use macro

Revision 1.7  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.6  2004/08/18 12:42:13  qboosh
- BR: automake

Revision 1.5  2004/08/17 23:37:18  havner
- config.sub
- rel 2

Revision 1.4  2004/07/25 16:49:30  yogib
- updated to 4.4.0, added missing BR: texinfo-texi2dvi

Revision 1.3  2004/06/09 22:08:06  jpc
- up to 4.3.0
- BRs: tetex-

Revision 1.2  2004/01/15 12:36:22  qboosh
- pl, added info patch, BR: readline-devel

Revision 1.1  2004/01/15 00:25:33  arekm
- almost raw
